Olympus Docs
ReferenceAPIsOry Identities APIidentity

Delete a credential for a specific identity

Delete an [identity](https://www.ory.com/docs/kratos/concepts/identity-user-model) credential by its type.

DELETE /admin/identities/{id}/credentials/{type}

Delete an identity credential by its type. You cannot delete passkeys or code auth credentials through this API.

Operation ID: deleteIdentityCredentials    Tag: identity

Path parameters

NameTypeRequiredDescription
idstringyesID is the identity's ID.
typeenum: password, oidc, totp, lookup_secret, webauthn, code, passkey, profile, saml, deviceauthn, identifier_first, link_recovery, code_recoveryyesType is the type of credentials to delete. password CredentialsTypePassword oidc CredentialsTypeOIDC totp CredentialsTypeTOTP lookup_secret CredentialsTypeLookup webauthn CredentialsTypeWebAuthn code CredentialsTypeCodeAuth passkey CredentialsTypePasskey profile CredentialsTypeProfile saml CredentialsTypeSAML deviceauthn CredentialsTypeDeviceAuthn identifier_first CredentialsTypeIdentifierFirst link_recovery CredentialsTypeRecoveryLink CredentialsTypeRecoveryLink is a special credential type linked to the link strategy (recovery flow). It is not used within the credentials object itself. code_recovery CredentialsTypeRecoveryCode

Query parameters

NameTypeRequiredDescription
identifierstringnoIdentifier is the identifier of the OIDC/SAML credential to delete. Find the identifier by calling the GET /admin/identities/{id}?include_credential={oidc,saml} endpoint.

Responses

StatusDescriptionBody
204Empty responses are sent when, for example, resources are deleted. The HTTP status code for empty responses is typically 204.-
404errorGenericapplication/json, object
defaulterrorGenericapplication/json, object

Security

  • oryAccessToken

Generated from /tmp/kratos-api.json at build time.

On this page